_Ecore_IMF_Context_Class Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Ecore_IMF_Context_Class Struct Reference
Ecore » Ecore_IMF - Ecore Input Method Library Functions » Ecore Input Method Context Functions

Structure used when creating a new Input Method Context. More...

`#include <Ecore_IMF.h>`

## Data Fields
void(* | add )(Ecore_IMF_Context *ctx)
| Create the Input Method Context.
void(* | del )(Ecore_IMF_Context *ctx)
| Delete the Input Method Context.
void(* | client_window_set )(Ecore_IMF_Context *ctx, void *window)
| Set the client window for the Input Method Context.
void(* | client_canvas_set )(Ecore_IMF_Context *ctx, void *canvas)
| Set the client canvas for the Input Method Context.
void(* | show )(Ecore_IMF_Context *ctx)
| Show the Input Method Context.
void(* | hide )(Ecore_IMF_Context *ctx)
| Hide the Input Method Context.
void(* | preedit_string_get )(Ecore_IMF_Context *ctx, char **str, int *cursor_pos)
| Return current preedit string and cursor position.
void(* | focus_in )(Ecore_IMF_Context *ctx)
| Input Method context widget has gained focus.
void(* | focus_out )(Ecore_IMF_Context *ctx)
| Input Method context widget has lost focus.
void(* | reset )(Ecore_IMF_Context *ctx)
| A change has been made.
void(* | cursor_position_set )(Ecore_IMF_Context *ctx, int cursor_pos)
| Cursor position changed.
void(* | use_preedit_set )(Ecore_IMF_Context *ctx, Eina_Bool use_preedit)
| Use preedit string to display feedback.
void(* | input_mode_set )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Mode input_mode)
| Set the input mode.
Eina_Bool(* | filter_event )(Ecore_IMF_Context *ctx, Ecore_IMF_Event_Type type, Ecore_IMF_Event *event)
| Internally handle an event.
void(* | preedit_string_with_attributes_get )(Ecore_IMF_Context *ctx, char **str, Eina_List **attrs, int *cursor_pos)
| return current preedit string, attributes, and cursor position
void(* | prediction_allow_set )(Ecore_IMF_Context *ctx, Eina_Bool prediction)
| Allow text prediction.
void(* | autocapital_type_set )(Ecore_IMF_Context *ctx, Ecore_IMF_Autocapital_Type autocapital_type)
| Set auto-capitalization type.
void(* | control_panel_show )(Ecore_IMF_Context *ctx)
| Show the control panel.
void(* | control_panel_hide )(Ecore_IMF_Context *ctx)
| Hide the control panel.
void(* | input_panel_layout_set )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Panel_Layout layout)
| Set the layout of the input panel.
Ecore_IMF_Input_Panel_Layout(* | input_panel_layout_get )(Ecore_IMF_Context *ctx)
| Return the current layout of the input panel.
void(* | input_panel_language_set )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Panel_Lang lang)
| Set the language of the input panel.
Ecore_IMF_Input_Panel_Lang(* | input_panel_language_get )(Ecore_IMF_Context *ctx)
| Get the current language of the input panel.
void(* | cursor_location_set )(Ecore_IMF_Context *ctx, int x, int y, int w, int h)
| Set the cursor location.
void(* | input_panel_imdata_set )(Ecore_IMF_Context *ctx, const void *data, int len)
| Set panel-specific data to the input panel.
void(* | input_panel_imdata_get )(Ecore_IMF_Context *ctx, void *data, int *len)
| Get current panel-specific data from the input panel.
void(* | input_panel_return_key_type_set )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Panel_Return_Key_Type return_key_type)
| Set the return key theme of the input panel based on return key type provided.
void(* | input_panel_return_key_disabled_set )(Ecore_IMF_Context *ctx, Eina_Bool disabled)
| Disable return key of the input panel.
void(* | input_panel_caps_lock_mode_set )(Ecore_IMF_Context *ctx, Eina_Bool mode)
| Set input panel caps lock mode.
void(* | input_panel_geometry_get )(Ecore_IMF_Context *ctx, int *x, int *y, int *w, int *h)
| Return input panel geometry.
Ecore_IMF_Input_Panel_State(* | input_panel_state_get )(Ecore_IMF_Context *ctx)
| Return input panel state.
void(* | input_panel_event_callback_add )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Panel_Event type, void(*func)(void *data, Ecore_IMF_Context *ctx, int value), void *data)
| Add a callback on input panel state,language,mode change.
void(* | input_panel_event_callback_del )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Panel_Event type, void(*func)(void *data, Ecore_IMF_Context *ctx, int value))
| Delete the input panel event callback.
void(* | input_panel_language_locale_get )(Ecore_IMF_Context *ctx, char **lang)
| Return the current language locale.
void(* | candidate_panel_geometry_get )(Ecore_IMF_Context *ctx, int *x, int *y, int *w, int *h)
| Return the candidate panel geometry.
void(* | input_hint_set )(Ecore_IMF_Context *ctx, Ecore_IMF_Input_Hints input_hints)
| Sets input hint to fine-tune input methods behavior.
void(* | bidi_direction_set )(Ecore_IMF_Context *ctx, Ecore_IMF_BiDi_Direction direction)
| Set bidirectionality at the cursor position.
Ecore_IMF_Input_Panel_Keyboard_Mode(* | keyboard_mode_get )(Ecore_IMF_Context *ctx)
| Return the current keyboard mode of the input panel.
void(* | prediction_hint_set )(Ecore_IMF_Context *ctx, const char *prediction_hint)
| Set the prediction hint to the input panel.
void(* | mime_type_accept_set )(Ecore_IMF_Context *ctx, const char *mime_type)
| Set the MIME type to the input panel.
void(* | input_panel_position_set )(Ecore_IMF_Context *ctx, int x, int y)
| Set the position of the input panel.

## Detailed Description

Structure used when creating a new Input Method Context.

This structure is mainly used by modules implementing the Input Method Context interface.